Skip to main content
PATCH
Update an exclusive sponsored brand campaign.

Autorizaciones

Authorization
string
header
requerido

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parámetros de ruta

campaign_id
string<uuid>
requerido

The ID of the campaign.

Parámetros de consulta

vendor_id
string
requerido

The ID of the vendor.

Minimum string length: 1

Cuerpo

application/json

Request body for updating a public exclusive sponsored brand campaign.

name
string | null

The name of the campaign.

Minimum string length: 1
Ejemplo:

"Bola-Bola Ad campaign"

isActive
boolean | null

Whether the campaign should be activated.

schedule
Schedule · object[] | null

The schedule for the campaign.

Maximum array length: 1
status
enum<string> | null

The approval status of the sponsored brand campaign.

Opciones disponibles:
approved,
pending,
rejected
sponsoredBrandRejectionReason
PublicSponsoredBrandRejectionReason · object | null

The reason for rejecting the sponsored brand campaign.

exclusivityPrice
integer | null

The price to pay daily for the campaign to run, in minor units of currency.

Rango requerido: x > 0
impressionsThreshold
integer | null

Impressions allowed for the campaign before it is stopped.

exclusivityPercentage
number | null

Percentage of auctions the campaign will be exclusive in.

multiplierConfig
PublicCampaignMultiplierConfig · object | null

The multipliers of the campaign.

targetingFilters
PublicCampaignTargetingFilters · object | null

The segments that the campaign will participate for.

exclusionFilters
PublicCampaignExclusionFilters · object | null

The segments that the campaign will not target.

content
Content · object | null

Dynamic content for the placement template. Omit the key to leave bid content unchanged. Send the object to store it on every bid.

Respuesta

Successful Response

An exclusive sponsored brand campaign returned by the public API.

campaignId
string<uuid>
requerido

The ID of the campaign.

marketplaceId
string<uuid>
requerido

The ID of the marketplace.

vendorId
string
requerido

The external vendor ID.

name
string
requerido

The name of the campaign.

Minimum string length: 1
Ejemplo:

"Bola-Bola Ad campaign"

isActive
boolean
requerido

Whether the campaign is active.

status
enum<string>
requerido

The approval status of the sponsored brand campaign.

Opciones disponibles:
approved,
pending,
rejected
slotId
string
requerido

The external slot ID where the exclusive sponsored brand campaign is shown.

schedule
Schedule · object[]
requerido

The schedule for the campaign.

Required array length: 1 element
content
Content · object
requerido

Dynamic content validated against the slot's JSON template.

createdAt
string<date-time>
requerido

When this campaign was created.

updatedAt
string<date-time>
requerido

When this campaign was last updated.

exclusivityPrice
integer
requerido

The price to pay daily for the campaign to run, in minor units of currency.

externalCampaignId
string | null

The external ID of the campaign in the marketplace.

walletId
string<uuid> | null

The uuid of the wallet used with this campaign.

bidType
string
predeterminado:exclusive

The bidding type of the campaign.

Allowed value: "exclusive"
chargeType
enum<string>
predeterminado:DAILY

How exclusive campaigns are charged. Only daily is allowed.

Opciones disponibles:
DAILY
impressionsThreshold
integer | null

Impressions allowed for the campaign before it is stopped.

exclusivityPercentage
number | null

Percentage of auctions the campaign will be exclusive in.

position
integer
predeterminado:1

The rank the ad will have in the auction.

Rango requerido: 1 <= x <= 20
multiplierConfig
PublicCampaignMultiplierConfig · object | null

The multipliers of the campaign.

targetingFilters
PublicCampaignTargetingFilters · object | null

The segments that the campaign will participate for.

exclusionFilters
PublicCampaignExclusionFilters · object | null

The segments that the campaign will not target.